VMTKCENTERLINESNETWORK(1)

NAME
vmtkcenterlinesnetwork - vmtk script vmtkcenterlinesnetwork

DESCRIPTION
Automatic piping vmtkcenterlinesnetwork Parsing options vmtkcenterlinesnetwork

vmtkcenterlinesnetwork : compute centerlines from a branching tubular

    surface automatically.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

-delaunaytessellationfile DelaunayTessellationOutputFileName

    (str,1): filename for the default DelaunayTessellation writer

-voronoidiagramfile VoronoiDiagramOutputFileName (str,1): filename

    for the default VoronoiDiagram writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where radius values of maximal inscribed spheres are stored

-eikonalsolutionarray EikonalSolutionArrayName (str,1);

    default=EikonalSolution

-edgearray EdgeArrayName (str,1); default=EdgeArray

-edgepcoordarray EdgePCoordArrayName (str,1);

    default=EdgePCoordArray

-costfunction CostFunction (str,1); default=1/R: cost function

    minimized during centerline computation

-costfunctionarray CostFunctionArrayName (str,1);

    default=CostFunctionArray

-delaunaytessellation DelaunayTessellation (vtkUnstructuredGrid,1)

-voronoidiagram VoronoiDiagram (vtkPolyData,1)

-poleids PoleIds (vtkIdList,1)

-randomseed RandomSeed (int,1); default=None

-usejoblib UseJoblib (bool,1); default=True